## ros-melodic-joy-teleop 0.3.1

=== debian/changelog ===
ros-melodic-joy-teleop (0.3.1-1stretch) stretch; urgency=high

  * fix python3 compatibility (#42 <https://github.com/ros-teleop/teleop_tools/issues/42>)
  * Contributors: Yutaka Kondo

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 10 Feb 2020 00:00:00 -0000

ros-melodic-joy-teleop (0.3.0-1stretch) stretch; urgency=high

  * Fill in the timestamp of outgoing messages, if applicable.
  * add service example
  * Add option for persistent service, defaulted false
  * Contributors: AndyZe, Jeremie Deray, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 03 Jan 2019 00:00:00 -0000

ros-melodic-joy-teleop (0.2.6-1stretch) stretch; urgency=high

  * Support using buttons and axis in the same message
  * Contributors: Tim Clephas

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 05 Apr 2018 23:00:00 -0000

ros-melodic-joy-teleop (0.2.5-1stretch) stretch; urgency=high

  * Remove duplicate examples, add list ones
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 20 Apr 2017 23:00:00 -0000

ros-melodic-joy-teleop (0.2.4-1stretch) stretch; urgency=high

  * Replace joy_teleop.fill_msg with genpy.message.fill_message_args
  * Contributors: Stephen Street

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 30 Nov 2016 00:00:00 -0000

ros-melodic-joy-teleop (0.2.3-1stretch) stretch; urgency=high

  * Add hello publish to example
  * Rename to fix example launch file
  * Added example of feature to config file
  * Added message_value parameter to specify message content on topics
  * PEP8 style stuff
  * Fixes bug when keep asking for increments
    would make the goal position grow infinitely instead of be of maximum 'current joint position' + 'increment quantity'
  * Contributors: Bence Magyar, Sam Pfeiffer, SomeshDaga

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 17 Jul 2016 23:00:00 -0000

ros-melodic-joy-teleop (0.2.2-1stretch) stretch; urgency=high

  * Add install rules for example files
  * gracefully handle missing joy axes
  * Contributors: Bence Magyar, Kopias Peter

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 24 Mar 2016 00:00:00 -0000

ros-melodic-joy-teleop (0.2.1-1stretch) stretch; urgency=high

  * Add support for services
    it is now possible to asynchronously send service requests on button presses
  * Adds queue_size keyword
  * Contributors: Bence Magyar, Nils Berg, Enrique Fernandez

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 29 Jan 2016 00:00:00 -0000

ros-melodic-joy-teleop (0.2.0-1stretch) stretch; urgency=high

  * Add example for incrementer
  * Update package.xmls
  * Add incrementer_server
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 02 Aug 2015 23:00:00 -0000

ros-melodic-joy-teleop (0.1.2-1stretch) stretch; urgency=high

  * joy_teleop: fix minor typo
  * Contributors: G.A. vd. Hoorn

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 15 Feb 2015 00:00:00 -0000

ros-melodic-joy-teleop (0.1.1-1stretch) stretch; urgency=high

  * Change maintainer
  * checks for index out of bounds in buttons list
    buttons is a list, not a dict
    Filter out buttons not available
  * Check for b in buttons
  * Check for IndexError
  * joy_teleop: add action server auto-refresh
  * Move everything to joy_teleop subfolder
  * Contributors: Bence Magyar, Enrique Fernández Perdomo, Paul Mathieu

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 17 Nov 2014 00:00:00 -0000

ros-melodic-joy-teleop (0.1.0-1stretch) stretch; urgency=high

  * joy_teleop: nice, generic joystick control for ROS

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 28 Nov 2013 00:00:00 -0000
