=== debian/control ===
Source: ros-melodic-joy-teleop
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-joy-teleop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-actionlib, ros-melodic-rospy, ros-melodic-rostopic, ros-melodic-sensor-msgs, ros-melodic-teleop-tools-msgs
Description: A (to be) generic joystick interface to control a robot
